List Invoices

Use /invoices to retrieve summary of all invoices sent. A date range can be specified to retrieve the summary of invoices within those dates. To get details of a specific invoice see, invoice details api


URI

GET /api/v2/customers/{customerId}/invoices

Headers

Parameter Mandatory Data Type Allowed Values Description
Request-Tracking-Id Y String Unique Identifier for each request
Authorization Y String Access token
ClientId Y String Will be provided by WM
Accept N String application/json or application/xml Default is application/json

Request Parameters

Pass the following parameters in the request.

Parameter Mandatory Data Type Type Description
customerId Y Number path Unique Customer Identifier
fromDate N Date query Start date formatted as yyyy-MM-dd
toDate N Date query Start date formatted as yyyy-MM-dd

Response Fields

Parameter Data Type Description
currency String Currency
invoices Object Contains data about invoice
Id Number Invoice Identifier
date DateTime Invoice date
amount Number Invoice amount
payment_info Object Contains payment related information
amount Number Amount paid
date Date Date of payment (MM-dd-yy_
reference_number String Payment reference number
balance_amount Number Total amount due
balances Object The balance details
type String Balance type like “current”,”30Day”,”60Day”,”90Day”,”120Day”,”Future”,”Total”
date Date Date on the balance type
amount Number Balance amount

Tip

For information about how to test, see How To Test

Sample Request

http://api.wm.com/v2/customers/123456789/invoices?fromDate=2016-10-01&toDate=2017-01-01

Sample Response

{  "currency": "USD",   "invoices": [    {      "id": "1085871",      "date": "2016-10-18",      "amount": "569.82",      "payment_info": {        "amount": "569.82",        "date": "2016-11-16",        "reference_number": "RECUR-AMEX          "      },      "balance_amount": "null"    }  ],  "balances": [      {        "type": "Current",        "date": "2017-02-01",        "amount": "0.0"      },      {        "type": "30Day",        "date": "2017-01-02",        "amount": "0.0"      },      {        "type": "60Day",        "date": "2016-12-03",        "amount": "0.0"      },      {        "type": "90Day",        "date": "2016-11-03",        "amount": "0.0"      },      {        "type": "120Day",        "date": "2016-10-04",        "amount": "0.0"      },      {        "type": "Future",        "date": "null",        "amount": "0.0"      },      {        "type": "Total",        "date": "null",        "amount": "0.0"      }  ]}